<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__types" kind="group">
    <compoundname>group_hal_types</compoundname>
    <title>HAL General Types/Macros</title>
    <innergroup refid="group__group__result">Result Type</innergroup>
    <innergroup refid="group__group__hal__general__types">General Types</innergroup>
    <innergroup refid="group__group__hal__override">Overrideable Macros</innergroup>
    <innergroup refid="group__group__hal__types__implementation">Implementation Specific Types</innergroup>
    <briefdescription>
<para>This section documents the basic types and macros that are used by multiple HAL drivers. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>